org.apache.tools.ant.types

## Class Mapper.MapperType

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.types.Mapper.MapperType

Enclosing class:
  Mapper

    public static class Mapper.MapperType
    extends EnumeratedAttribute

Class as Argument to FileNameMapper.setType.

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

### Constructor Summary

Constructors
Constructor and Description
`MapperType()` Constructor for the MapperType enumeration

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getImplementation()`
`java.lang.String[]` `getValues()` This is the only method a subclass needs to implement.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MapperType

    public MapperType()

Constructor for the MapperType enumeration

### Method Detail

#### getValues

    public java.lang.String[] getValues()

Description copied from class: `EnumeratedAttribute`
This is the only method a subclass needs to implement.

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  the filenamemapper names

#### getImplementation

    public java.lang.String getImplementation()

Returns:
  the classname for the filenamemapper name